Appearance
site-settings
3 endpoints.
GET /api/v1/settings/instance
Get Instance Settings
200 — Successful Response
json
{}PUT /api/v1/settings/instance
Update Instance Settings
Request body
json
{
"properties": {
"customer_facing": {
"type": "boolean",
"title": "Customer Facing"
},
"customer_scoping": {
"type": "boolean",
"title": "Customer Scoping"
},
"is_customer_portal_site": {
"type": "boolean",
"title": "Is Customer Portal Site"
},
"site_template": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Site Template"
},
"daily_backup": {
"anyOf": [
{
"type": "boolean"
},
{
"type": "null"
}
],
"title": "Daily Backup"
},
"parent_site": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Parent Site"
},
"allow_iframes": {
"type": "boolean",
"title": "Allow Iframes",
"default": false
},
"is_customer_portal_instance": {
"type": "boolean",
"title": "Is Customer Portal Site"
},
"instance_template": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Site Template"
},
"parent_instance": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Parent Site"
}
},
"type": "object",
"required": [
"customer_facing",
"customer_scoping",
"is_customer_portal_site"
],
"title": "InstanceSettingsIn"
}200 — Successful Response
json
{}422 — Validation Error
json
{
"properties": {
"detail": {
"items": {
"properties": {
"loc": {
"items": {
"anyOf": [
{
"type": "string"
},
{
"type": "integer"
}
]
},
"type": "array",
"title": "Location"
},
"msg": {
"type": "string",
"title": "Message"
},
"type": {
"type": "string",
"title": "Error Type"
}
},
"type": "object",
"required": [
"loc",
"msg",
"type"
],
"title": "ValidationError"
},
"type": "array",
"title": "Detail"
}
},
"type": "object",
"title": "HTTPValidationError"
}POST /api/v1/settings/instance/children/{child_instance}/login
Login To Child Instance
Mint a one-time login link to open a linked child site's own front door, already signed in as this superuser there (not as any particular customer — see app.services.impersonation.issue_superuser_login). Only ever offered for sites whose parent_site is this one (see _linked_children above and the sidebar shortcuts that call this).
Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
child_instance | path | yes | string |
200 — Successful Response
json
{
"properties": {
"url": {
"type": "string",
"title": "Url"
}
},
"type": "object",
"required": [
"url"
],
"title": "ChildLoginOut"
}422 — Validation Error
json
{
"properties": {
"detail": {
"items": {
"properties": {
"loc": {
"items": {
"anyOf": [
{
"type": "string"
},
{
"type": "integer"
}
]
},
"type": "array",
"title": "Location"
},
"msg": {
"type": "string",
"title": "Message"
},
"type": {
"type": "string",
"title": "Error Type"
}
},
"type": "object",
"required": [
"loc",
"msg",
"type"
],
"title": "ValidationError"
},
"type": "array",
"title": "Detail"
}
},
"type": "object",
"title": "HTTPValidationError"
}